<?php

namespace App\Classes\Modules\Segments\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Classes\ValueObjects\Constants\ApprovalStatus;
use App\Classes\ValueObjects\Constants\SegmentConstants;

class SeasonalSegmentObject implements DataTransferObject
{
    /** @var int */
    private $companyId;

    /** @var int */
    private $segmentId;

    /** @var string */
    private $starting_on;

    /** @var string */
    private $ending_on;
    
    /** @var int */
    private $status;

    /**
     * SeasonalSegmentObject constructor.
     * @param int $companyId
     * @param int $segmentId
     * @param string $starting_on
     * @param string $ending_on
     */
    public function __construct(int $companyId, int $segmentId, string $starting_on, ?string $ending_on = null, ?int $status = ApprovalStatus::APPROVED)
    {
        $this->companyId = $companyId;
        $this->segmentId = $segmentId;
        $this->starting_on = $starting_on;
        $this->ending_on = $ending_on;
        $this->status = $status;
    }

    /**
     * @return int
     */
    public function getCompanyId(): int
    {
        return $this->companyId;
    }

    /**
    * @return int
     */
    public function getSegmentId(): int
    {
        return $this->segmentId;
    }


    /**
     * @return string
     */
    public function getStartingOn(): string
    {
        return $this->starting_on;
    }

    /**
     * @return string
     */
    public function getEndingOn(): ?string
    {
        return $this->ending_on;
    }
}